summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-04-10 20:23:15 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2021-04-10 20:44:09 +0200
commitdcb94051215f958e70d768feb1374b8569ce1cf5 (patch)
treee30f81f63fa873bb253df7efee5d1f518c03e3ba /kde-frameworks
parentkde-frameworks/modemmanager-qt: 5.81.0 version bump (diff)
downloadgentoo-dcb94051215f958e70d768feb1374b8569ce1cf5.tar.gz
gentoo-dcb94051215f958e70d768feb1374b8569ce1cf5.tar.bz2
gentoo-dcb94051215f958e70d768feb1374b8569ce1cf5.zip
kde-frameworks/networkmanager-qt: 5.81.0 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks')
-rw-r--r--kde-frameworks/networkmanager-qt/Manifest1
-rw-r--r--kde-frameworks/networkmanager-qt/networkmanager-qt-5.81.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/kde-frameworks/networkmanager-qt/Manifest b/kde-frameworks/networkmanager-qt/Manifest
index 9ae7e9d6c6a..79e1f26cf5f 100644
--- a/kde-frameworks/networkmanager-qt/Manifest
+++ b/kde-frameworks/networkmanager-qt/Manifest
@@ -1,2 +1,3 @@
DIST networkmanager-qt-5.77.0.tar.xz 195024 BLAKE2B 9cc7573dcb2318e9437c57272d1c13116e5a30622b1915695f786b7a5e62dd3b2c32ff69b1dd3714c6e28cbb6b7a48eb40ca010b417d17fcf29143141b4530e2 SHA512 f5d7323f12c9332d862f5ce82a46b0e8fc594fc1efccbfbbe312e3b374792e300e06902f7355e0682559f6f1bcba93c139d9accfe0db31c524aa3383ae13adcf
DIST networkmanager-qt-5.80.0.tar.xz 195064 BLAKE2B 553a62fdea48c1d11b0a12174cf901d4dbf5441efc9138d1a0b93645934b14fd134922d60a3f95aa9c6019306627c2b8bca1ae8a7b2063b6d394e5a1412844ef SHA512 df36c15cf19a3a77785ac5c231de91f64b1380df2f84b3553bd0869f245a22c1bff0418485a1b1e22aabd19c7dd2e73e193530d60950d599a08762abf9f22e2d
+DIST networkmanager-qt-5.81.0.tar.xz 195600 BLAKE2B dd102a97e8acf5788e09eba053d96491266db62233d617696ae8070605cd810f285c778a77dc9847f5b644b907109c79edade48c0d8f8f241a57f335c6e622af SHA512 0a26d7551f8c2cc1fcfb353ef30176ff27f0768e0af41a1246aaa294c247674d8d6d7f9557c74011bf912fcd49dcb3099e2c1c97750c2f62db260f037511d542
diff --git a/kde-frameworks/networkmanager-qt/networkmanager-qt-5.81.0.ebuild b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.81.0.ebuild
new file mode 100644
index 00000000000..23b69f5bf65
--- /dev/null
+++ b/kde-frameworks/networkmanager-qt/networkmanager-qt-5.81.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+QTMIN=5.15.2
+inherit ecm kde.org
+
+DESCRIPTION="NetworkManager bindings for Qt"
+LICENSE="LGPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="teamd"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+ >=net-misc/networkmanager-1.4.0-r1[teamd=]
+"
+RDEPEND="${DEPEND}
+ || (
+ >=net-misc/networkmanager-1.4.0-r1[elogind]
+ >=net-misc/networkmanager-1.4.0-r1[systemd]
+ )
+"
+
+src_test() {
+ # bug: 625276
+ local myctestargs=( -E "(managertest|settingstest|activeconnectiontest)" )
+
+ ecm_src_test
+}